# Uses of Class
classycle.graph.StrongComponent

Packages that use StrongComponent
Package
Description
classycle
classycle.dependency
classycle.graph
classycle.renderer

## Uses of StrongComponent in classycle

Methods in classycle that return StrongComponent
Modifier and Type
Method
Description
`StrongComponent[]`
Analyser.`getCondensedClassGraph()`
Returns the condensed the class graph, i.e. the acyclic graph of its strong components.
`StrongComponent[]`
Analyser.`getCondensedPackageGraph()`
Returns the condensed package graph, i.e. the acyclic graph of its strong components.

## Uses of StrongComponent in classycle.dependency

Methods in classycle.dependency that return types with arguments of type StrongComponent
Modifier and Type
Method
Description
`List<StrongComponent>`
CyclesResult.`getCycles()`
Returns all added cycles.
Methods in classycle.dependency with parameters of type StrongComponent
Modifier and Type
Method
Description
`void`
CyclesResult.`addCycle(StrongComponent cycle)`
Adds the specified cycle.

## Uses of StrongComponent in classycle.graph

Methods in classycle.graph that return StrongComponent
Modifier and Type
Method
Description
`StrongComponent[]`
StrongComponentAnalyser.`getCondensedGraph()`
Returns the graph of strong components.
`StrongComponent[]`
StrongComponentProcessor.`getStrongComponents()`
Returns the result of `GraphProcessor.deepSearchFirst(classycle.graph.Vertex[])`.

## Uses of StrongComponent in classycle.renderer

Methods in classycle.renderer with parameters of type StrongComponent
Modifier and Type
Method
Description
`static String`
AbstractStrongComponentRenderer.`createName(StrongComponent component)`
Creates an appropriated name for the specified `StrongComponent`.
`String`
AtomicVertexRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renders an `AtomicVertex`.
`String`
PlainClassRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renderes the specified vertex.
`String`
PlainStrongComponentRenderer.`render(StrongComponent component)`
`String`
StrongComponentRenderer.`render(StrongComponent component)`
Renderes the specified `StrongComponent`.
`String`
TemplateBasedClassRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renderes the specified vertex.
`String`
TemplateBasedStrongComponentRenderer.`render(StrongComponent component)`
`String`
XMLAtomicVertexRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renderes the specified vertex.
`String`
XMLStrongComponentRenderer.`render(StrongComponent component)`